
import javax.swing.JFrame;

public class ThrottlingDataChartFrame extends JFrame {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	static int nbChartDrawings = 0;

    boolean force_reDraw_buttons_Plus_Minus = true;
    
    // ***************************************************
    // Constructor
    // ***************************************************
    public ThrottlingDataChartFrame(String ruleType, ControlBoard controlBoardFrame, ThrottlingDataList throttlingDataList, WindowOGStartStop windowOrderGenerationControl, Log appLog)  {
    	
    	super(ruleType + " Throttling Data Chart");
    	int delta_X_LongRule = 0;
    	int delta_Y_LongRule = 0;
    	if (!"SHORT".contentEquals(ruleType)) {
    		delta_X_LongRule = 100;
    		delta_Y_LongRule = 100;
    	}
        setBounds(800+delta_X_LongRule,200+delta_Y_LongRule,1000,700);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        this.setLayout(null);
        this.setVisible(true);
                
        ThrottlingDataJPanel throttlingJPanel = new ThrottlingDataJPanel(ruleType, controlBoardFrame, this, throttlingDataList, windowOrderGenerationControl, appLog);
        this.getContentPane().add(throttlingJPanel);
        this.setContentPane(throttlingJPanel);
        throttlingJPanel.setVisible(true);
    }
}
